Subject: Re: Genart telechat review of draft-ietf-6man-ndpioiana-02

From: Ole Troan <[email-masked]>
Date: Mon, 30 Apr 2018 16:10:12 +0200

Hi Dan,

Thank you very much for the thorough review.
Apologies for the delay. Procrastination and holiday came in the way.

See below.

> Reviewer: Dan Romascanu
> Review result: Almost Ready
> 
> I am the assigned Gen-ART reviewer for this draft. The General Area
> Review Team (Gen-ART) reviews all IETF documents being processed
> by the IESG for the IETF Chair. Please wait for direction from your
> document shepherd or AD before posting a new version of the draft.
> 
> For more information, please see the FAQ at
> 
> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
> 
> Document: draft-ietf-6man-ndpioiana-02
> Reviewer: Dan Romascanu
> Review Date: 2018-02-26
> IETF LC End Date: 2018-03-06
> IESG Telechat date: 2018-04-05
> 
> Summary:
> 
> This is a simple and straightforward document, fixing an omission in RFC 6275,
> which updated RFC 4861 without explicitly marking it as such,  and failed to
> create a registry to avoid conflicts. The content of the document looks fine,
> but there are several minor issues that I would recommend to be considered and
> discussed before approval and publication.
> 
> Major issues:
> 
> Minor issues:
> 
> 1. As this document fixes a problem created by RFC 6275 which was was not
> marked as updating RFC 4861, and did not create a registry to avoid conflicts,
> it looks like this RFC (if approved) should also update RFC 6275.

We went back and forth on this (and so do I see IESG did).
Instead of updating 6275, we ended up making 6275 a normative reference.

> 2. Section 3 includes a reference to [IANA-TBD] which is not defined in the
> document.

Yes, the purpose of IANA-TBD was for it to be a reference to the yet to be created IANA registry.
And would be updated as appropriate by IANA/RFC-Editor

> 
> 3. As the new registry contains one bit defined by RFC 6275, it seems that
> [RFC6275] should also be a Normative Reference.

Done.

> 4. Section 4 - It would be good to capitalize Standards Action, and refer to
> RFC 8126 as reference (also to be added)

Capitalisation done.
I ended up leaning towards not referencing 8126. As most documents with IANA considerations don't. To be consistent.

> 
> Nits/editorial comments:
> 
> 1. The Abstract and the Introduction contain a sentence with broken syntax:
> 
> 'The purpose of this document is to request that IANA to create a new registry

Thanks. Fixed.

> 2. Several acronyms in the document are not explicitly expanded: ND, PIO, NDP
> 

Thanks. Fixed.
Spelled it out with new title:  IANA Considerations for IPv6 Neighbor Discovery Prefix Information Option Flags

Best regards,
Ole

---

From: Dan Romascanu <[email-masked]>
Date: Mon, 30 Apr 2018 17:43:18 +0300

Hi Ole,

Thanks for addressing my comments. All your answers to the minor and
editorial comments that I made are are fine with me.

Regards,

Dan

On Mon, Apr 30, 2018 at 5:10 PM, Ole Troan <[email-masked]> wrote:

> I ended up leaning towards not referencing 8126. As most documents with
> IANA considerations don't. To be consistent.
>
> >
> > Nits/editorial comments:
> >
> Spelled it out with new title:  IANA Considerations for IPv6 Neighbor
> Discovery Prefix Information Option Flags
>
> Best regards,
> Ole
>
>